/* interpolate.h - interpolation functions */

#ifndef INTERPOLATE_H
#define INTERPOLATE_H

#define interpolate_cubic(a,t) ((a)[0]*t*t*t + (a)[1]*t*t + (a)[2]*t + (a)[3])

double interpolate_cosine(double, double, double);
double *interpolate_cubic_coeff(double *, double, double, double, double);
double *interpolate_bspline_coeff(double *, double, double, double, double);
double interpolate_bilinear(double, double, double, double, double, double);

#endif
