/* xmalloc.h - error handling around the memory allocation functions */

#ifndef XMALLOC_H
#define XMALLOC_H

#include <stdlib.h>

void *xmalloc(size_t);
void *xcalloc(size_t, size_t);
void *xrealloc(void *, size_t);
void xfree(void *);
char *xstrdup(const char *);

#endif
